@font-face {
  font-family: "Montserrat";
  src: url("../Montserrat/Montserrat-Regular.ttf");
}

* {
  font-family: "Montserrat";
}
*::selection {
  background-color: #3694ffaf;
}

body {
  background-color: #2a2f33;
}

img.rounded {
  border-radius: 2.5rem !important;
}

/* Image banniere : */

.banner {
  position: relative;
  overflow: hidden;
  height: 35vh;
}
.banner > img {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -71%);
}

/* Barre de navigation : */

.navbar-brand {
  margin-left: 3rem;
  font-size: 1.8rem;
}
.navbar-nav > li:first-child {
  margin-left: -3rem;
}

li {
  margin: 0 1.563rem;
}
.nav-connection {
  margin-right: 3rem;
}
a.connection {
  font-size: 0.8rem;
}

/* Contenue principal : */

.main-row {
  margin: 5vh 0 5vh 0;
  padding: 2rem 1rem;
  color: #2a2f33;
  background: white;
  border-radius: 1rem;
  box-shadow: 0 0 1rem #1d2124, 0 1rem 1rem #1d2124;
}

.main-row h2 {
  margin-bottom: 5vh;
  text-decoration: underline;
}

/* Barre laterale : */

aside > div {
  width: 90%;
  min-height: 8rem;
  padding: 1rem;
  border-radius: 1rem;
  box-shadow: 0 0.6rem 1.5rem #1f1f1f32;
}

aside h4 {
  text-decoration: underline;
}

aside ul {
  list-style-type: none;
}

/* Pied de page : */

footer {
  min-height: 5vh;
}

footer p {
  margin: 0;
}

/* Media queries : */

@media screen and (max-width: 1200px) {
  aside > div {
    font-size: 0.8rem;
  }
  aside h4 {
    font-size: 1rem;
  }
}

@media screen and (max-width: 991px) {
  .navbar-nav > li:nth-child(1) {
    margin-left: 4rem;
  }
  .navbar-nav > .nav-item {
    margin-left: 4rem;
  }

  li {
    font-size: 1rem;
  }

  .main-row {
    margin: 5vh 0 5vh 0;
    background-color: #2a2f33;
    box-shadow: none;
  }

  main {
    position: relative;
    margin-bottom: 10vh;
    padding: 2rem 0;
    background: white;
    color: #2a2f33;
    border-radius: 1rem;
  }
  main::after {
    content: "";
    position: absolute;
    bottom: -5vh;
    left: 0;
    right: 0;
    height: 0.01rem;
    background: #f8f9fa;
  }

  aside > div {
    font-size: 1rem;
    width: 100%;
    padding: 1.5rem;
    margin-bottom: 5vh;
    background: white;
    border-radius: 1rem;
  }
  aside > div:last-child {
    margin-bottom: 0;
  }

  aside h4 {
    font-size: 1.3rem;
  }
}

@media screen and (max-height: 600px), screen and (max-width: 680px) {
  .banner {
    display: none;
  }
}
